# Version of CTSim
%define version 2.5.0

Summary: CTSim - Open-Source Computed Tomography Simulator
Name: ctsim
Version: %{version}
Release: 1
Packager: Kevin Rosenberg <kevin@rosenberg.net>
Source: ftp.ctsim.org:/pub/ctsim/ctsim-%{version}.tar.gz
Copyright: GPL
Group: Applications/Scientific

%description
CTSim is a Computed Tomography Simulator.

%prep
%setup 

%build
CFLAGS="$RPM_OPT_FLAGS" \
	./configure --prefix=/usr/local --enable-static
make

%install
install -s -m 755 -o 0 -g 0 src/ctsim /usr/local/bin/ctsim
install -s -m 755 -o 0 -g 0 tools/pjrec /usr/local/bin/pjrec
install -s -m 755 -o 0 -g 0 tools/pj2if /usr/local/bin/pj2if
install -s -m 755 -o 0 -g 0 tools/phm2pj /usr/local/bin/phm2pj
install -s -m 755 -o 0 -g 0 tools/phm2if /usr/local/bin/phm2if
install -s -m 755 -o 0 -g 0 tools/if1 /usr/local/bin/if1
install -s -m 755 -o 0 -g 0 tools/if2 /usr/local/bin/if2
install -s -m 755 -o 0 -g 0 tools/ifexport /usr/local/bin/ifexport
install -s -m 755 -o 0 -g 0 tools/if1 /usr/local/bin/ifinfo
install -m 755 -o 0 -g 0 tools/sample-ctsim.sh /usr/local/bin/sample-ctsim.sh

%files
%doc NEWS README COPYING ChangeLog INSTALL

/usr/local/bin/ctsim
/usr/local/bin/pjrec
/usr/local/bin/pj2if
/usr/local/bin/phm2pj
/usr/local/bin/phm2if
/usr/local/bin/if1
/usr/local/bin/if2
/usr/local/bin/ifexport
/usr/local/bin/ifinfo
/usr/local/bin/sample-ctsim.sh


